#
# Conditional build:
%bcond_without	wxwidgets	# wxWidgets based analyzer

%ifarch %{arm_with_neon}
%define		with_neon	1
%endif

Summary:	Royalty-free next-generation video format
Summary(pl.UTF-8):	Format wideo nowej generacji bez opłat licencyjnych
Name:		aom
Version:	3.8.2
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://aomedia.googlesource.com/aom/
# tarball is recreated with different md5 on each download
#Source0:	https://aomedia.googlesource.com/aom/+archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	4702f686cc18a6736ca7f1f6d1e025b0
Patch0:		%{name}-examples.patch
URL:		https://aomedia.org/
BuildRequires:	cmake >= 3.9
BuildRequires:	doxygen >= 1:1.8.10
BuildRequires:	graphviz
BuildRequires:	libstdc++-devel
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.007
BuildRequires:	sed >= 4.0
%{?with_wxwidgets:BuildRequires:	wxGTK3-unicode-devel}
BuildRequires:	yasm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Alliance for Open Media's focus is to deliver a next-generation
video format that is:
- Interoperable and open;
- Optimized for the Internet;
- Scalable to any modern device at any bandwidth;
- Designed with a low computational footprint and optimized for
  hardware;
- Capable of consistent, highest-quality, real-time video delivery;
  and
- Flexible for both commercial and non-commercial content, including
  user-generated content.

%description -l pl.UTF-8
Celem Alliance for Open Media jest dostarczenie nowej generacji
formatu wideo, który jest:
- interoperacyjny i otwarty
- zoptymalizowany dla Internetu
- skalowalny na dowolne współczesne urządzenie przy dowolnym paśmie
- zaprojektowany z myślą o małym narzucie obliczeniowym,
  zoptymalizowany dla sprzętu
- umożliwiający spójne udostępnianie wysokiej jakości obrazu w czasie
  rzeczywistym
- elastyczny zarówno dla treści komercyjnych, jak i niekomercyjnych, w
  tym wygenerowanych przez użytkownika.

%package devel
Summary:	Development files for AOM
Summary(pl.UTF-8):	Pliki programistyczne AOM
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for AOM the royalty-free next-generation video
format.

%description devel -l pl.UTF-8
Pliki programistyczne AOM - formatu obrazu nowej generacji, bez opłat
licencyjnych.

%package static
Summary:	Static AOM library
Summary(pl.UTF-8):	Statyczna biblioteka AOM
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static AOM library.

%description static -l pl.UTF-8
Statyczna biblioteka AOM.

%package apidocs
Summary:	API documentation for AOM library
Summary(pl.UTF-8):	Dokumentacja API biblioteki AOM
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for AOM library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki AOM.

%package gui
Summary:	Graphical analyzer for AOM
Summary(pl.UTF-8):	Graficzny analizator formatu AOM
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description gui
Graphical analyzer for AOM.

%description gui -l pl.UTF-8
Graficzny analizator formatu AOM.

%prep
%setup -qc
%patch0 -p1

%build
install -d builddir
cd builddir
# build/cmake/aom_install.cmake and .pc creation expect relative ..._{BINDIR,INCLUDEDIR,LIBDIR}
%cmake .. \
	-DCMAKE_INSTALL_BINDIR:PATH=bin \
	-DCMAKE_INSTALL_INCLUDEDIR:PATH=include \
	-DCMAKE_INSTALL_LIBDIR:PATH=%{_lib} \
%ifnarch aarch64 %{arm} %{ix86} %{x8664}
	-DAOM_TARGET_CPU=generic \
%endif
%ifarch %{arm}
	-DAOM_TARGET_CPU=arm \
%endif
%ifarch aarch64
	-DAOM_TARGET_CPU=arm64 \
%endif
%ifarch %{ix86}
	-DAOM_TARGET_CPU=x86 \
%endif
%ifarch %{x8664}
	-DAOM_TARGET_CPU=x86_64 \
%endif
	-DCMAKE_SKIP_RPATH=1 \
	%{?with_wxwidgets:-DCONFIG_ANALYZER=1} \
	-DCONFIG_WEBM_IO=1 \
	-DENABLE_DOCS=1 \
	%{cmake_on_off neon ENABLE_NEON} \
	-DwxWidgets_CONFIG_EXECUTABLE=/usr/bin/wx-gtk3-unicode-config

%{__make}


%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C builddir install \
	DESTDIR=$RPM_BUILD_ROOT

%{?with_wxwidgets:install -p builddir/examples/analyzer $RPM_BUILD_ROOT%{_bindir}/aomanalyzer}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG LICENSE PATENTS README.md
%attr(755,root,root) %{_bindir}/aomdec
%attr(755,root,root) %{_bindir}/aomenc
%attr(755,root,root) %{_libdir}/libaom.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaom.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaom.so
%{_includedir}/aom
%{_pkgconfigdir}/aom.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libaom.a

%files apidocs
%defattr(644,root,root,755)
%doc builddir/docs/html/*.{css,html,js,png}

%if %{with wxwidgets}
%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/aomanalyzer
%endif
%changelog
* Tue Mar 26 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/aom.git;a=log;h=master

* Tue Mar 26 2024 Jakub Bogusz <qboosh@pld-linux.org> 341fde9
- updated to 3.8.2

* Thu Feb 15 2024 Jakub Bogusz <qboosh@pld-linux.org> cfd7147
- updated to 3.8.1

* Wed Oct 18 2023 Jakub Bogusz <qboosh@pld-linux.org> f3ad4e2
- updated to 3.7.0

* Mon Sep 25 2023 Jan Rękorajski <baggins@pld-linux.org> 6e49014
- rebuild with wxWidgets 3.2

* Mon Aug 21 2023 Jan Palus <atler@pld-linux.org> 219f1e2
- don't enable ccache

* Mon Aug 21 2023 Jakub Bogusz <qboosh@pld-linux.org> f10e916
- updated to 3.6.1

* Sun Mar 05 2023 Jakub Bogusz <qboosh@pld-linux.org> 818ff73
- updated to 3.6.0

* Sat May 21 2022 Jan Palus <jpalus@fastmail.com> 71eae07
- enable neon only on archs which support it

* Thu Mar 31 2022 Jakub Bogusz <qboosh@pld-linux.org> 9ebfb53
- updated to 3.3.0

* Sun Dec 05 2021 Jakub Bogusz <qboosh@pld-linux.org> 65af6b0
- updated to 3.2.0

* Sun Jun 27 2021 Jakub Bogusz <qboosh@pld-linux.org> 2251c60
- updated to 3.1.1

* Sat Apr 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 5cadd04
- updated to 3.0.0 (note: new soname)
- added examples patch (fix analyzer example after API changes)

* Sat Apr 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 04780dc
- updated to 2.0.2

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 4b62a0b
- unconditional noarch subpackages

* Sun Jan 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 7f57dbd
- updated to 2.0.1

* Sat Oct 31 2020 Jakub Bogusz <qboosh@pld-linux.org> 9f00df2
- added download URL with tags list

* Sun Jul 05 2020 Jakub Bogusz <qboosh@pld-linux.org> cd72aff
- fix md5 location

* Sun Jul 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 203056d
- updated to 2.0.0 (new soname)
- removed obsolete build patch
- added -static (built unconditionally)

* Sat Apr 27 2019 Jakub Bogusz <qboosh@pld-linux.org> 2650530
- fix versioning in .pc file, release 2

* Thu Apr 04 2019 Jakub Bogusz <qboosh@pld-linux.org> 6db6891
- use dropin

